flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Mclean <jus...@classsoftware.com>
Subject Re: Installing SDK on CI enviroments
Date Sun, 11 May 2014 17:40:35 GMT
Hi,

> The docs for getting the latest SDK from apache's build server say that it
> can be  done via ant
> <https://cwiki.apache.org/confluence/display/FLEX/Installation+help#Installationhelp-Antinstaller>

> , however i can't see permalinks for older versions (4.11 / 4.12) only for
> 4.13.

That wiki page for the AIR based installer which has just been introduced/released.You can
use ant for the previous versions of  the SDK but it uses the standard ant build.xml setup.

> skipping that one for the moment, i downloaded the 4.13 SDK and ran the
> installer.xml ant task which then prompted me to agree to the licence.

Use the default build.xml to compile via ant (note that there is a "build.noprompt" option)
and the scripts in the ide directory to setup a usable SDK.

You may also want to look at/use jenkins.xml if you are using Jenkins.

Thanks,
Justin
Mime
View raw message